=== debian/changelog ===
deepin-home (0.0.5-1) unstable; urgency=medium

  [ TagBuilder ]
  * Initial release

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 14 Nov 2022 13:59:54 +0800
