=== debian/changelog ===
deepin-home (1.0.3-1) unstable; urgency=medium

  [ TagBuilder ]
  * Initial release

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 22 Nov 2022 14:11:55 +0800
