## deepin-home 1.0.5

=== debian/changelog ===
deepin-home (1.0.5-1) unstable; urgency=medium
  
  [ TagBuilder ]
  * fix: display in dark theme
  * feat: change name of the desktop file

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Mon, 28 Nov 2022 13:53:31 +0800

deepin-home (1.0.0) UNRELEASED; urgency=medium

  * Initial release

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 09 Sep 2022 17:42:57 +0800
