=== debian/changelog ===
deepin-home (1.0.7-1) unstable; urgency=medium
  
  [ TagBuilder ]
  * fix: display in dark theme
  * feat: change name of the desktop file

  [ Deepin Sysdev ]
  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 01 Dec 2022 13:10:31 +0800
