=== debian/control ===
Source: deepin-home
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 qtbase5-dev,
 qtdeclarative5-dev,
 libdtkcommon-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkdeclarative-dev,
 qttools5-dev-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: deepin-home
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin home
 quick login bbs, bug report.
