=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 %:
 	dh $@
 
-
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DAPP_VERSION=$(DEB_VERSION_UPSTREAM)
 # dh_make generated override targets
 # This is example for Cmake (See https://bugs.debian.org/641051 )
 #override_dh_auto_configure:
