=== debian/changelog ===
deepin-home (1.6.0) unstable; urgency=medium

  * feat: disable auto start by default

 -- myml <wurongjie@deepin.org>  Thu, 08 Aug 2024 10:30:24 +0800

deepin-home (1.5.14) unstable; urgency=medium

  * feat: append os version to system info

 -- myml <wurongjie@deepin.org>  Fri, 02 Aug 2024 13:43:02 +0800

deepin-home (1.5.13) unstable; urgency=medium

  * fix: prevent window from maximizing(Issue: https://github.com/linuxdeepin/developer-center/issues/6192)
  * feat: update desktop i18n
  * feat: support new version linglong build

 -- myml <wurongjie1@gmail.org>  Mon, 01 Jul 2024 15:29:04 +0800

deepin-home (1.5.12) unstable; urgency=medium

  * fix #8885
  * release 1.5.12

 -- Mike Chen <chenke@deepin.org>  Tue, 04 Jun 2024 10:17:06 +0800

deepin-home (1.5.11) unstable; urgency=medium

  * fix: Issue of client freezing(Issue: https://github.com/linuxdeepin/developer-center/issues/8591)

 -- myml <wurongjie1@gmail.org>  Mon, 20 May 2024 17:29:02 +0800

deepin-home (1.5.10) unstable; urgency=medium

  * fix: Frequent clicking on the tray icon would cause the client to freeze(Issue: https://github.com/linuxdeepin/developer-center/issues/8188)
  * fix: apt sources info missing part(Issue: https://github.com/linuxdeepin/developer-center/issues/8460)

 -- myml <wurongjie1@gmail.org>  Thu, 09 May 2024 11:42:37 +0800

deepin-home (1.5.8) unstable; urgency=medium

  * fix: the daemon restarts repeatedly when there is no network(Issue: https://github.com/linuxdeepin/developer-center/issues/7936)

 -- myml <wurongjie@deepin.org>  Thu, 18 Apr 2024 09:59:04 +0800

deepin-home (1.5.7) unstable; urgency=medium

  * fix: installed the wrong desktop file(Issue: https://github.com/linuxdeepin/developer-center/issues/7538)

 -- myml <wurongjie@deepin.org>  Tue, 19 Mar 2024 09:47:51 +0800

deepin-home (1.5.6) unstable; urgency=medium

  * feat: add linglong build support
  * feat: change dtk qml app plugin path

 -- myml <wurongjie@deepin.org>  Wed, 13 Mar 2024 10:41:19 +0800

deepin-home (1.5.5) unstable; urgency=medium

  * feat: add qt quick layouts to depends(Issue: https://github.com/linuxdeepin/developer-center/issues/7036)

 -- myml <wurongjie@deepin.org>  Tue, 23 Jan 2024 14:36:26 +0800

deepin-home (1.5.4) unstable; urgency=medium

  * feat: Improve user experience for email input field(Issue: https://github.com/linuxdeepin/developer-center/issues/6430)
  * fix: cannot run in beta3(Issue: https://github.com/linuxdeepin/developer-center/issues/6652)
  * fix: collect count of feedback detail display incorrectly(Issue: https://github.com/linuxdeepin/developer-center/issues/5451)
  * feat: Use AM management to autostart(Issue: https://github.com/linuxdeepin/developer-center/issues/5211)

 -- myml <wurongjie@deepin.org>  Wed, 03 Jan 2024 16:40:04 +0800

deepin-home (1.5.3) unstable; urgency=medium

  * fix: first startup display error page(Issue: https://github.com/linuxdeepin/developer-center/issues/6400)

 -- myml <wurongjie@deepin.org>  Mon, 11 Dec 2023 15:31:29 +0800

deepin-home (1.5.2) unstable; urgency=medium

  * feat: return to homepage when logged out(Issue: https://github.com/linuxdeepin/developer-center/issues/5661)
  * chore: correct a typo in account.cpp
    Thanks to Felix Yan
  * feat: check login status when the main window is opened(Issue: https://github.com/linuxdeepin/developer-center/issues/5194)
  * feat: update translations

 -- myml <wurongjie@deepin.org>  Thu, 07 Dec 2023 10:11:23 +0800

deepin-home (1.5.1) unstable; urgency=medium

  * feat: add inxi to depends(Issue: https://github.com/linuxdeepin/developer-center/issues/6182)

 -- myml <wurongjie@deepin.org>  Tue, 14 Nov 2023 16:39:43 +0800

deepin-home (1.5.0) unstable; urgency=medium

  * fix: page mouse event penetration
  * fix: Some data on the feedback details page is always 0
    Thanks to student-ice
  * chore: update 3rdparty
  * feat: feedback support filter and search
  * feat: Add padding to the bottom of the feedback list(Issue: https://github.com/linuxdeepin/developer-center/issues/6098)
  * feat: support upload sysinfo
  * fix: unable to filter my feedback
  * chore: update translations

 -- myml <wurongjie@deepin.org>  Tue, 14 Nov 2023 13:22:58 +0800

deepin-home (1.4.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: not return to home page when logout(Issue: https://github.com/linuxdeepin/developer-center/issues/5372)
  * fix: My collect only show one page
  * fix: optimization tips content(Issue: https://github.com/linuxdeepin/developer-center/issues/5000)

 -- myml <wurongjie@deepin.org>  Tue, 12 Sep 2023 09:25:12 +0800

deepin-home (1.4.0) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: add navigation stack support(Issue: https://github.com/linuxdeepin/developer-center/issues/5096)
  * fix: Titlebar icon doesn't change with the theme
    Thanks to student-ice
  * feat: some minor optimizations(Issue: https://github.com/linuxdeepin/developer-center/issues/5098)
  * fix: application crash caused by event loop blocking
    Thanks to student-ice
  * fix: When switching tabs quickly, the feedback list is abnormal
  * feat: Use openapi-generator to generate http api
  * fix: Email username cannot include '.' symbol
    Thanks to student-ice(Issue: https://github.com/linuxdeepin/developer-center/issues/5195)
  * fix: Official replies can be edited
    Thanks to student-ice(Issue: https://github.com/linuxdeepin/developer-center/issues/5260)
  * feat: Extract the API into a standalone CMake module
  * fix: unable to submit feedback
  * feat: Content can be undone by Ctrl + Z when submitting feedback or requests
    Thanks to student-ice
  * feat: add api proxy component to qml
  * feat: add diskCacheShare object
  * fix: client repeated login
  * feat: feedback list use api proxy component
  * feat: The user token should not be print in the log
  * feat: clean up old API calls
  * feat: Replace API with APIProxy
  * chore: update translations


