## deepin-home 1.6.4

=== src/maincomponentplugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-set(MAINCOMPONENT_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME})
+if(${DTK_OLD_VERSION})
+    set(MAINCOMPONENT_LIB_NAME dtkqml-${CMAKE_PROJECT_NAME})
+else()
+    set(MAINCOMPONENT_LIB_NAME ${CMAKE_PROJECT_NAME}-main)
+endif()
 set(MAINCOMPONENNT_SRC
     maincomponentplugin.h
     maincomponentplugin.cpp
@@ -6,10 +10,14 @@
     worker.cpp
     network.h
     network.cpp
+    apiproxy.h
+    apiproxy.cpp
 )
 find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
 find_package(Qt5QuickCompiler REQUIRED)
 find_package(Qt5DBus CONFIG REQUIRED)
+find_package(Qt5Concurrent CONFIG REQUIRED)
+find_package(OpenSSL REQUIRED)
 
 set_source_files_properties(../dbusservice/com.deepin.Home.Daemon.xml PROPERTIES CLASSNAME HomeDaemonProxy)
 qt5_add_dbus_interface(MAINCOMPONENNT_SRC ../dbusservice/com.deepin.Home.Daemon.xml homeDaemonProxy)
@@ -28,7 +36,10 @@
     Qt5::Quick
     Qt5::Widgets
     Qt5::DBus
+    Qt5::Concurrent
+    OpenSSL::SSL
     ${DtkDeclarative_LIBRARIES}
+    API
 )
 install(TARGETS ${MAINCOMPONENT_LIB_NAME} DESTINATION ${DTK_QML_APP_PLUGIN_PATH})
