=== debian/changelog ===
deepin-home (1.6.5) unstable; urgency=medium
  [ transifex-integration[bot] ]
  * i18n: update transifex file

 -- myml <wurongjie@deepin.org>  Fri, 22 Nov 2024 17:29:24 +0800
